#
# spec file for package lftp (Version 2.6.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gcc-c++ libstdc++-devel openssl-devel
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool openssl-devel perl rpm

Name:         lftp
License:      GPL
Group:        Productivity/Networking/Ftp/Clients
URL:          http://lftp.yar.ru/
Autoreqprov:  on
Version:      2.6.4
Release:      44
Summary:      Lftp command line file transfer program
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-http-overflow-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Lftp is a shell-like command line ftp client. It is reliable: can retry
operations and does reget automatically. It can do several transfers
simultaneously in background. You can start a transfer in background
and continue browsing the ftp site or another one. This all is done in
one process. Background jobs will be completed in nohup mode if you
exit or close modem connection. Lftp has reput, mirror, reverse mirror
among its features. Since version 2.0 it also supports http protocol.
Other features include: ipv6 support, context sensitive completion,
output redirection to files or to pipe, ftp and http proxy support,
transfer rate throttling for each connection and for all connections in
sum, job queueing, job execution at specified time, opie/skey support
in ftp protocol, ssl for http and ftp, fxp transfers.



Authors:
--------
    Alexander V. Lukyanov <lav@yars.free.net>

%prep
%setup  
%patch

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal -I m4
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--with-modules \
        --mandir=%{_mandir} \
        --prefix=/usr  \
	--libdir=%{_libdir} \
	--host=%{_target_cpu}-suse-linux
make DESTDIR=$RPM_BUILD_ROOT

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)                                                           
%doc BUGS COPYING ChangeLog FAQ FEATURES README* NEWS THANKS TODO lftp.lsm              
%config /etc/lftp.conf                                                
%{_bindir}/*                                                                    
%{_mandir}/man*/*                                                                  
%{_datadir}/lftp                                                                
%{_datadir}/locale/*/*/*.mo
%dir %{_libdir}/lftp                                                            
%dir %{_libdir}/lftp/%{version}                                                 
%{_libdir}/lftp/*/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n lftp
* Mon Dec 08 2003 - postadal@suse.cz
- fixed remote exploitable buffer overflow while using HTTP/HTTPS [#33528]
* Fri Jan 10 2003 - postadal@suse.cz
- updated to version 2.6.4
  * new settings net:socket-bind-ipv4 and net:socket-bind-ipv6 to bind sockets
  to a specific address (to select a specific network interface)
  * reget does not start transfer if not needed
  * ssl:verify-certificate set to no by default
  * fixed ~ handling in find and mirror
* Fri Dec 06 2002 - postadal@suse.cz
- new package: lftp 2.6.3
